/*******************************************************************************
 Graph Project
 Copyright (C) 2006  denton

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************
 File: src/GraphException.java
 Version: 0.1.0  Date: 27.07.2006
 Author: denton
 *******************************************************************************/

package Graph;

public class GraphException extends Exception {

    protected int msgN;
    
    public GraphException(int Num) {
        super();
        if (Num==Parser.e_Unknown) msgN = 17;
        if (Num==Parser.e_DivisionByZero) msgN = 18;
        if (Num==Parser.e_LogExpressionLessZero) msgN = 19;
        if (Num==Parser.e_LogBaseEqualsOne) msgN = 20;
        if (Num==Parser.e_SqrtBaseLessZero) msgN = 21;
        if (Num==Parser.e_TgIsNaN) msgN = 22;
        if (Num==Parser.e_CtgIsNaN) msgN = 23;
        if (Num==Parser.e_ArcsinArgMoreOne) msgN = 24;
        if (Num==Parser.e_ArcsinArgLessOne) msgN = 25;
        if (Num==Parser.e_ArccosArgMoreOne) msgN = 26;
        if (Num==Parser.e_ArccosArgLessOne) msgN = 27;
        if (Num==Parser.e_ZeroPowInZero) msgN = 28;
        if (Num==Parser.e_ZeroPowInNegative) msgN = 29;
        if (Num==Parser.e_InvalidExpression) msgN = 30;
    }
    
    public GraphException() {
        super();
        msgN = 17;
    }
    
    public String getMessage() {
        return Lang.S[Graph.lng][msgN];
    }

}
